Smart Proxy - Bug #34226

Windows DNSCMD no implicit conversion of nil into String
01/06/2022 11:11 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: DNS
Target version: 3.1.1
Difficulty: Fixed in Releases: 3.1.1,3.2.0
Triaged: Yes Found in Releases:  3.1.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/811,
https://github.com/theforeman/smart-pro
xy/pull/812,
https://github.com/theforeman/smart-pro
xy/pull/813,
https://github.com/theforeman/smart-pro
xy/pull/814,
https://github.com/theforeman/smart-pro
xy/pull/815,
https://github.com/theforeman/smart-pro
xy/pull/855
Description

https://community.theforeman.org/t/smart-proxy-using-windows-dnscmd-no-implicit-conversion-of-nil-into-string/26727

Related issues:
Related to Smart Proxy - Bug #35979: Windows DNSCMD no implicit conversion of...

Closed

Associated revisions

Revision 7b3508a8 - 01/06/2022 12:18 PM - Lukas Zapletal

Fixes #34226 - dnscmd nil string error

Revision 188024ed - 01/11/2022 11:28 AM - Lukas Zapletal
Refs #34226 - dnscmd nil string error

Revision 23bb5a07 - 01/19/2022 07:17 AM - Lukas Zapletal
Refs #34226 - dnscmd nil string error

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 01/06/2022 11:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/811 added

#2 - 01/06/2022 11:47 AM - Lukas Zapletal
- Target version set to 3.1.1

- Found in Releases 3.1.0 added

Requesting 3.1.z - small fix, regression for 3.1.

#3 - 01/06/2022 12:18 PM - The Foreman Bot
- Fixed in Releases 3.2.0 added
https://community.theforeman.org/t/smart-proxy-using-windows-dnscmd-no-implicit-conversion-of-nil-into-string/26727
mailto:lzap+git@redhat.com

#4 - 01/06/2022 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset 7b3508a8444c04148f6c99f426a5de5d805f99a6.

#5 - 01/07/2022 06:39 AM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/812 added

#6 - 01/07/2022 08:01 AM - The Foreman Bot
- Fixed in Releases 3.1.1 added

#7 - 01/11/2022 07:54 AM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/813 added

#8 - 01/13/2022 01:12 PM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/814 added

#9 - 01/19/2022 07:20 AM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/815 added

#10 - 01/19/2022 02:09 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (3.1.1)

Dropping fixed in version because a common cherry pick with all the fixups are still needed.

#11 - 01/24/2022 08:17 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 3.1.1 added

Adding Fixed in again now that it's been cherry picked.

#12 - 01/23/2023 03:33 PM - The Foreman Bot
- Pull request https://github.com/theforeman/smart-proxy/pull/855 added

#13 - 01/23/2023 03:58 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #35979: Windows DNSCMD no implicit conversion of nil into String again added
